[VOL-2225]Migration to BAL3.2.3.2
- Updates to test files to compile for BAL3.2.3.2
- Addressed various comments
- Test with two ONUs on same PON port.
- EAP/HSIA/DHCP working
- Following test cases working
1. Disable/Enable/Reboot ONU
2. Disable/Enable OLT
3. ONU disable -> subscriber unprovision ->
enable -> subscriber provision
- Commented out UTs for FlowAdd and FlowRemove and
will be addressed as part of another commit
- Fix tm_qmp creation for BAL3.2 (needed 1Tcont multi gem)
- Re-organize code after review comments
- Bump version to 2.1.0 (support for ACL and multicast group config)
Change-Id: I4245d14bba8878fdde6ee361ad54060068de205f
diff --git a/agent/scripts/init.d/dev_mgmt_daemon b/agent/scripts/init.d/dev_mgmt_daemon
index 5eba28c..63c61a7 100755
--- a/agent/scripts/init.d/dev_mgmt_daemon
+++ b/agent/scripts/init.d/dev_mgmt_daemon
@@ -14,8 +14,7 @@
PATH="/broadcom:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"
APPDIR="/broadcom"
APPBIN="dev_mgmt_daemon"
-APPARGS="-pcie -d"
-PID_FILE="root_dev_mgmt_pid"
+APPARGS="-pcie -syslog"
USER="root"
GROUP="root"
@@ -27,9 +26,10 @@
/opt/bcm68620/svk_init.sh
sleep 10
printf "Starting '$NAME'... "
- touch /var/log/$NAME.log
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$APPDIR
+ export USER=$USER
start-stop-daemon --verbose --start --chuid "$USER:$GROUP" --background --no-close --chdir "$APPDIR" --exec "$APPBIN" -- $APPARGS < /dev/tty1 >> /var/log/$NAME.log 2>&1 || true
+ sleep 2 && [ -z `pidof $NAME 2>/dev/null` ] || pidof $NAME > /var/run/$NAME.pid
printf "done\n"
}
@@ -45,17 +45,17 @@
stop() {
printf "Stopping '$NAME'... "
- [ -z `cat /tmp/$PID_FILE 2>/dev/null` ] || \
- while test -d /proc/$(cat /tmp/$PID_FILE); do
- killtree $(cat /tmp/$PID_FILE) 15
- sleep 0.5
- done
- [ -z `cat /tmp/$PID_FILE 2>/dev/null` ] || rm /tmp/$PID_FILE
+ [ -z "`pidof $NAME`" ] ||
+ for p in "`pidof $NAME`";do
+ killtree $p 15
+ sleep 0.5
+ done
+ rm -f /var/run/$NAME.pid
printf "done\n"
}
status() {
- status_of_proc -p /tmp/$PID_FILE $APPDIR/$APPBIN $NAME && exit 0 || exit $?
+ status_of_proc -p /var/run/$NAME.pid $APPDIR/$APPBIN $NAME && exit 0 || exit $?
}
case "$1" in